Name:           orca
Version:        45.1
Release:        1
Summary:        Assistive technology for people with visual impairments
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Orca
Source0:        https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pkgconfig(atk-bridge-2.0) pkgconfig(atspi-2) pkgconfig(liblouis) pkgconfig(pygobject-3.0)
BuildRequires:  brlapi-devel brltty gettext intltool gtk3-devel itstool python3-brlapi python3-devel
BuildRequires:  python3-louis python3-pyatspi python3-speechd desktop-file-utils make

Requires:       libwnck3 python3-brlapi python3-louis python3-pyatspi python3-speechd

%description
Orca is a screen reader that provides access to the graphical desktop via user-customizable combinations of speech and/or braille.
Orca works with applications and toolkits that support the assistive technology service provider interface (AT-SPI), e.g. the GNOME desktop.

%package_help

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome
%delete_la

%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/orca-autostart.desktop

%files -f %{name}.lang
%license COPYING
%{_bindir}/orca
%{python3_sitelib}/orca/
%{_datadir}/icons/hicolor/*/apps/orca.png
%{_datadir}/icons/hicolor/scalable/apps/orca.svg
%{_datadir}/icons/hicolor/symbolic/apps/orca-symbolic.svg
%{_datadir}/orca
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop

%files help
%doc AUTHORS NEWS README
%{_mandir}/man1/orca.1*

%changelog
* Fri Dec 29 2023 wangqia <wangqia@uniontech.com> - 45.1-1
- Update to 45.1

* Thu Nov 02 2023 haomimi <haomimi@uniontech.com> - 44.1-1
- Update to 44.1

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43.0-1
- Update to 43.0

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.1-1
- Update to 42.1

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Update to 42.0

* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.2-1
- Upgrade to 3.38.2
- Update Version, Release, Source0

* Tue Dec 03 2019 liujing<liujing144@huawei.com> - 3.30.0-2
- Package init
